Commit 80706fe5 authored by Eduardo Sanz García's avatar Eduardo Sanz García
Browse files

chore: upgrade to version 2 of @aut0/angular-jwt

Drop dependency to rxjs-compat
parent fbb82376
Pipeline #2733 passed with stages
in 4 minutes and 51 seconds
<a name="1.0.0-alpha.9"></a>
# [1.0.0-alpha.9](https://gitlab.ebi.ac.uk/tools-glue/angular-aap-auth/compare/1.0.0-alpha.8...1.0.0-alpha.9) (2018-05-16)
### Features
* upgrade to @auth0/angular-jwt version 2 and drop dependency of rxjs-compat
<a name="1.0.0-alpha.7"></a>
<a name="1.0.0-alpha.8"></a>
# [1.0.0-alpha.8](https://gitlab.ebi.ac.uk/tools-glue/angular-aap-auth/compare/1.0.0-alpha.7...1.0.0-alpha.8) (2018-05-08)
......
......@@ -26,8 +26,8 @@ Compatibility table
Angular version | angular-aap-auth version
--- | ---
>=5 <6 | 1.0.0-alpha.7
>=6 <7 | 1.0.0-alpha.8
>=5 <6 | <=1.0.0-alpha.7
>=6 <7 | >=1.0.0-alpha.8
## Consuming the library
......
{
"name": "angular-aap-auth",
"version": "1.0.0-alpha.8",
"license": "Apache-2.0",
"scripts": {
"ng": "ng",
"start": "ng serve --aot",
"build": "ng build --prod --aot",
"test": "ng test --karma-config=karma_chrome.conf.js --watch",
"test:sr": "ng test --code-coverage=true --progress=false",
"test:sr:chromium": "ng test --code-coverage=true --progress=false --karma-config=karma_chromium.conf.js",
"lint": "ng lint",
"docs": "typedoc --module amd --out docs/ src/public_api.ts",
"e2e": "ng e2e",
"packagr": "ng-packagr -p ng-package.json"
},
"private": false,
"keywords": [
"angular",
"jwt",
"authentication",
"ebi",
"aap",
"elixir",
"aai"
],
"repository": {
"type": "git",
"url": "https://gitlab.ebi.ac.uk/tools-glue/angular-aap-auth.git"
},
"bugs": {
"url": "https://gitlab.ebi.ac.uk/tools-glue/angular-aap-auth/issues"
},
"dependencies": {},
"peerDependencies": {
"@angular/core": ">=6 <7",
"@auth0/angular-jwt": "^1.1.0",
"rxjs": ">=5 <7",
"rxjs-compat": ">=6 <7"
},
"devDependencies": {
"@angular-devkit/build-angular": "~0.6.0",
"@angular/cli": "6.0.0",
"@angular/common": "6.0.0",
"@angular/compiler": "6.0.0",
"@angular/compiler-cli": "6.0.0",
"@angular/core": "6.0.0",
"@angular/language-service": "6.0.0",
"@angular/platform-browser": "6.0.0",
"@angular/platform-browser-dynamic": "6.0.0",
"@auth0/angular-jwt": "^1.1.0",
"@types/jasmine": "~2.8.7",
"@types/jasminewd2": "~2.0.3",
"@types/node": "~10.0.4",
"codelyzer": "^4.3.0",
"core-js": "^2.5.6",
"jasmine-core": "^3.1.0",
"jasmine-spec-reporter": "~4.2.1",
"karma": "~2.0.2",
"karma-chrome-launcher": "~2.2.0",
"karma-coverage-istanbul-reporter": "^1.4.2",
"karma-jasmine": "~1.1.2",
"karma-jasmine-html-reporter": "^1.0.0",
"ng-packagr": "^2.4.2",
"npm-check-updates": "^2.14.2",
"protractor": "~5.3.1",
"rxjs": "^6.1.0",
"rxjs-compat": "^6.1.0",
"rxjs-tslint-rules": "^4.1.1",
"ts-node": "~6.0.3",
"tslint": "~5.10.0",
"typedoc": "^0.11.1",
"typescript": ">=2.7.2 <2.8",
"zone.js": "^0.8.26"
}
"name": "angular-aap-auth",
"version": "1.0.0-alpha.9",
"license": "Apache-2.0",
"scripts": {
"ng": "ng",
"start": "ng serve --aot",
"build": "ng build --prod --aot",
"test": "ng test --karma-config=karma_chrome.conf.js --watch",
"test:sr": "ng test --code-coverage=true --progress=false",
"test:sr:chromium": "ng test --code-coverage=true --progress=false --karma-config=karma_chromium.conf.js",
"lint": "ng lint",
"docs": "typedoc --module amd --out docs/ src/public_api.ts",
"e2e": "ng e2e",
"packagr": "ng-packagr -p ng-package.json"
},
"private": false,
"keywords": [
"angular",
"jwt",
"authentication",
"ebi",
"aap",
"elixir",
"aai"
],
"repository": {
"type": "git",
"url": "https://gitlab.ebi.ac.uk/tools-glue/angular-aap-auth.git"
},
"bugs": {
"url": "https://gitlab.ebi.ac.uk/tools-glue/angular-aap-auth/issues"
},
"dependencies": {},
"peerDependencies": {
"@angular/core": ">=6 <7",
"@auth0/angular-jwt": "^2.0.0",
"rxjs": ">=6 <7"
},
"devDependencies": {
"@angular-devkit/build-angular": "~0.6.1",
"@angular/cli": "6.0.1",
"@angular/common": "6.0.2",
"@angular/compiler": "6.0.2",
"@angular/compiler-cli": "6.0.2",
"@angular/core": "6.0.2",
"@angular/language-service": "6.0.2",
"@angular/platform-browser": "6.0.2",
"@angular/platform-browser-dynamic": "6.0.2",
"@auth0/angular-jwt": "^2.0.0",
"@types/jasmine": "~2.8.7",
"@types/jasminewd2": "~2.0.3",
"@types/node": "~10.1.0",
"codelyzer": "^4.3.0",
"core-js": "^2.5.6",
"jasmine-core": "^3.1.0",
"jasmine-spec-reporter": "~4.2.1",
"karma": "~2.0.2",
"karma-chrome-launcher": "~2.2.0",
"karma-coverage-istanbul-reporter": "^1.4.2",
"karma-jasmine": "~1.1.2",
"karma-jasmine-html-reporter": "^1.1.0",
"ng-packagr": "^2.4.4",
"npm-check-updates": "^2.14.2",
"protractor": "~5.3.2",
"rxjs": "^6.1.0",
"rxjs-tslint-rules": "^4.2.0",
"ts-node": "~6.0.3",
"tslint": "~5.10.0",
"typedoc": "^0.11.1",
"typescript": ">=2.7.2 <2.8",
"zone.js": "^0.8.26"
}
}
......@@ -80,7 +80,7 @@ describe('AuthService (valid token)', () => {
isAuthenticated.subscribe(result => expect(result).toBeFalsy());
}));
it('should be correct single sing on URL', inject([AuthService], (service: AuthService) => {
it('should be correct single sign on URL', inject([AuthService], (service: AuthService) => {
expect(service.getSSOURL({
'ttl': '30',
'o': '3'
......@@ -88,7 +88,7 @@ describe('AuthService (valid token)', () => {
.toEqual('https://api.aai.ebi.ac.uk/sso?from=http%3A%2F%2Flocalhost%3A9876&ttl=30&o=3');
}));
it('should be correct single sing on URL', inject([AuthService], (service: AuthService) => {
it('should be correct single sign on URL', inject([AuthService], (service: AuthService) => {
expect(service.getSSOURL({
'ttl': '1441',
'o': '3'
......
......@@ -138,10 +138,6 @@
"use-life-cycle-interface": true,
"use-pipe-transform-interface": true,
"component-class-suffix": true,
"directive-class-suffix": true,
"rxjs-no-add": { "severity": "error" },
"rxjs-no-operator": { "severity": "error" },
"rxjs-no-patched": { "severity": "error" },
"rxjs-no-wholesale": { "severity": "warning" }
"directive-class-suffix": true
}
}
This diff is collapsed.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment